#include <gtest/gtest.h>
#include <cmath>
#include <fstream>
#include "../dataChannelTestUtility.h"
#include "../taskTests.h"
#include "../../../software/signal_processing_bsp/system.h"
#include "../../data/cosine.h"

int main( int argc, char ** argv ) {
    ::testing::InitGoogleTest(&argc, argv);
    return RUN_ALL_TESTS();
}

TEST( test_task_cosine, execute_only ) {
    configureAndRunCosine();
    dataChannelWriteToFile( DATA_CHANNEL_1_BASE, "data.py" );
}

TEST( test_task_cosine, execute_and_check ) {
    configureAndRunCosine();
    dataChannelCheckAndWriteToFile( DATA_CHANNEL_1_BASE, expected_cosine, "data.py" );
}


